Publish a new version of the text message terms (logged)
PUT
/api/v1/workspaces/{workspace}/sms/terms
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/terms"
payload := strings.NewReader("{ \"address\": \"example\", \"carriers\": \"example\", \"cost\": \"example\", \"frequency\": \"example\", \"help\": \"example\", \"helpEmail\": \"example\", \"helpNumber\": \"example\", \"intro\": \"example\", \"optOut\": \"example\", \"privacy\": \"example\", \"privacyUrl\": \"example\", \"program\": \"example\", \"senders\": \"example\" }")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/terms';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"address":"example","carriers":"example","cost":"example","frequency":"example","help":"example","helpEmail":"example","helpNumber":"example","intro":"example","optOut":"example","privacy":"example","privacyUrl":"example","program":"example","senders":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/terms \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "address": "example", "carriers": "example", "cost": "example", "frequency": "example", "help": "example", "helpEmail": "example", "helpNumber": "example", "intro": "example", "optOut": "example", "privacy": "example", "privacyUrl": "example", "program": "example", "senders": "example" }'Permission: forms:edit
Consent given from now on records this version.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
address
string
carriers
required
string
cost
required
string
frequency
required
string
help
required
string
helpEmail
string
helpNumber
string
intro
required
string
optOut
required
string
privacy
required
string
privacyUrl
string
program
required
string
senders
required
string
Example generated
{ "address": "example", "carriers": "example", "cost": "example", "frequency": "example", "help": "example", "helpEmail": "example", "helpNumber": "example", "intro": "example", "optOut": "example", "privacy": "example", "privacyUrl": "example", "program": "example", "senders": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
canEdit
required
boolean
content
required
object
address
string
carriers
required
string
cost
required
string
frequency
required
string
help
required
string
helpEmail
string
helpNumber
string
intro
required
string
optOut
required
string
privacy
required
string
privacyUrl
string
program
required
string
senders
required
string
generated
required
object
address
string
carriers
required
string
cost
required
string
frequency
required
string
help
required
string
helpEmail
string
helpNumber
string
intro
required
string
optOut
required
string
privacy
required
string
privacyUrl
string
program
required
string
senders
required
string
publishedAt
string format: date-time
publishedBy
string
url
required
string
version
required
integer format: int64
Example generated
{ "canEdit": true, "content": { "address": "example", "carriers": "example", "cost": "example", "frequency": "example", "help": "example", "helpEmail": "example", "helpNumber": "example", "intro": "example", "optOut": "example", "privacy": "example", "privacyUrl": "example", "program": "example", "senders": "example" }, "generated": { "address": "example", "carriers": "example", "cost": "example", "frequency": "example", "help": "example", "helpEmail": "example", "helpNumber": "example", "intro": "example", "optOut": "example", "privacy": "example", "privacyUrl": "example", "program": "example", "senders": "example" }, "publishedAt": "2026-04-15T12:00:00Z", "publishedBy": "example", "url": "example", "version": 1}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}